One Click Paste
Developer Tools

API Reference

Integrate One Click Paste into your applications with our powerful REST API.

Public API Coming Soon - Q1 2026

RESTful API

Clean, predictable REST endpoints following industry standards

Secure Authentication

API key-based authentication with rate limiting

JSON Responses

All responses in JSON format with consistent structure

Comprehensive Docs

Detailed documentation with code examples

Base URL

https://api.oneclickpaste.com

API Endpoints

Complete reference for all available endpoints

Rooms

POST/api/rooms

Create a new room

Parameters

pinstring4-digit PIN for room protection

Response

{
  "roomId": "abc123",
  "expiresAt": "2025-12-28T12:00:00Z",
  "hasPin": false
}
GET/api/rooms/:roomId

Get room information

Parameters

roomIdstringrequiredThe room code
pinstringPIN if room is protected

Response

{
  "roomId": "abc123",
  "expiresAt": "2025-12-28T12:00:00Z",
  "hasPin": false,
  "deviceCount": 2
}
DELETE/api/rooms/:roomId

Delete a room

Parameters

roomIdstringrequiredThe room code

Response

{
  "success": true,
  "message": "Room deleted successfully"
}

Content

POST/api/rooms/:roomId/content

Update room content

Parameters

roomIdstringrequiredThe room code
contentstringrequiredThe content to share

Response

{
  "success": true,
  "content": "Updated content",
  "timestamp": "2025-12-27T12:00:00Z"
}
GET/api/rooms/:roomId/content

Get room content

Parameters

roomIdstringrequiredThe room code

Response

{
  "content": "Current content",
  "timestamp": "2025-12-27T12:00:00Z"
}

Files

POST/api/rooms/:roomId/upload

Upload a file to a room

Parameters

roomIdstringrequiredThe room code
filefilerequiredFile to upload (max 10MB)

Response

{
  "success": true,
  "fileUrl": "https://oneclickpaste.com/files/abc123.jpg",
  "fileName": "image.jpg",
  "fileSize": 1024000
}

Health

GET/api/health

Check API health status

Response

{
  "status": "healthy",
  "timestamp": "2025-12-27T12:00:00Z",
  "uptime": 99.97
}

Code Examples

Get started quickly with these examples

JavaScript

// Create a new room
const response = await fetch('https://api.oneclickpaste.com/api/rooms', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    pin: '1234' // Optional
  })
});

const data = await response.json();
console.log(data.roomId); // abc123

Python

import requests

# Create a new room
response = requests.post(
    'https://api.oneclickpaste.com/api/rooms',
    json={'pin': '1234'}  # Optional
)

data = response.json()
print(data['roomId'])  # abc123

cURL

# Create a new room
curl -X POST https://api.oneclickpaste.com/api/rooms \
  -H "Content-Type: application/json" \
  -d '{"pin": "1234"}'

Rate Limits

To ensure fair usage and service stability, the following rate limits apply:

  • Free Tier: 100 requests per hour
  • Pro Tier: 1,000 requests per hour (Coming soon)
  • Rate limit headers included in all responses

Ready to Build?

The One Click Paste API is currently in development. Sign up to be notified when it launches in Q1 2026.